.nav {
	padding: 30px 0 10px;

	a {
		&:nth-child(1) {
			margin-left: 0;
		}
	}
}

.lista {
	justify-content: center;
	margin-top: 30px;

	.pelicula {
		.content {
			margin-bottom: 15px;
			margin-top: 15px;
			position: relative;

			img {
				height: auto;
				width: 100%;
			}

			&:hover {
				&:before {
					opacity: 1;
				}

				.info {
					opacity: 1;
					transform: translateY(0px);
				}
			}

			&::before {
				background: rgba(black, 0.8);
				content: "";
				display: block;
				height: 100%;
				left: 0;
				opacity: 0;
				position: absolute;
				top: 0;
				transition: 0.5s;
				width: 100%;
				z-index: 2;
			}

			.info {
				bottom: 10px;
				color: #fff;
				display: flex;
				flex-direction: column;
				height: calc(100% - 20px);
				justify-content: flex-end;
				left: 10px;
				opacity: 0;
				position: absolute;
				text-align: center;
				transform: translateY(30px);
				transition: 0.5s;
				width: calc(100% - 20px);
				z-index: 3;

				h1 {
					margin-bottom: 20px;
					margin-left: 20px;
					margin-right: 20px;
				}

				p {
					margin: 20px;
					text-align: left;
				}
			}

			.animation-top {
				&::before,
				&::after {
					border: 2px solid transparent;
					box-sizing: inherit;
					content: "";
					height: 0;
					position: absolute;
					width: 0;
				}

				&::before {
					left: 0;
					top: 0;
				}

				&::after {
					left: 0;
					top: 0;
				}

				&:hover {
					&::before,
					&::after {
						height: 100%;
						width: 100%;
					}

					&::before {
						border-right-color: #fff;
						border-top-color: #fff;
						transition: width 0.5s ease-out, height 0.5s ease-out 0.5s;
					}

					&::after {
						border-bottom-color: #fff;
						border-left-color: #fff;
						transition: height 0.5s ease-out, width 0.5s ease-out 0.5s;
					}
				}
			}

			.animation-center {
				&::before,
				&::after {
					box-sizing: inherit;
					content: "";
					height: 100%;
					left: 0;
					position: absolute;
					top: 0;
					transform-origin: center;
					width: 100%;
				}

				&::before {
					border-bottom: 2px solid #fff;
					border-top: 2px solid #fff;
					transform: scale3d(0, 1, 1);
				}

				&::after {
					border-left: 2px solid #fff;
					border-right: 2px solid #fff;
					transform: scale3d(1, 0, 1);
				}

				&:hover::before,
				&:hover::after {
					transform: scale3d(1, 1, 1);
					transition: transform 0.5s;
				}
			}
		}
	}
}
